#!/bin/csh

# backup v4.5
set dnetdir=/home/groups/home/web/dnet
set imgdir=/home/groups/home/web/
set v45dir=$dnetdir/v45r11

/bin/mkdir -p $v45dir
/bin/mkdir -p $v45dir/page
/bin/mkdir -p $v45dir/help
/bin/mkdir -p $v45dir/local.jp
/bin/mkdir -p $v45dir/data

set module=(dnet.cgi xcabinet.cgi xdoc.cgi xdocreminder xenquete.cgi xforum.cgi xinfo.cgi xmail.cgi xmailintg xmailrefer.cgi xmailsearch xmemp.cgi xproject.cgi xreport.cgi xwmlrecv)

set page=(xaddrlist.html xdocsetautoloaderr.html xdocsetautoloadfolderentry.html xdocsetautoloadfolderlist.html xdocsetautoloadmailentry.html xdocsetautoloadmaillist.html xdocsetautoloadstatus.html xenqreferreply.html xmailsetaccimp.html xsetportalwindowentry.html)

set local=(doc message sch version)

# module move
foreach m($module)
	/bin/mv $dnetdir/$m $v45dir/.
end
foreach p($page)
	/bin/mv $dnetdir/page/$p $v45dir/page/.
end
foreach l($local)
	/bin/mv $dnetdir/local.jp/$l $v45dir/local.jp/.
end

# data move
/bin/mv $dnetdir/LICENSE $v45dir/.

# compress v45r11
/bin/tar zcvf $dnetdir/v45r11.tar.gz $v45dir
/bin/rm -fr $v45dir


echo "pre-install $$ $0" >> /tmp/install.log
exit 0
